-------------------------------------------------------------------------------
-- Add Finalization - A library for adding finalization to tagged types.
-- Copyright (C) 2003  Anders Gidenstam
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
-- As a special exception, if other files instantiate generics from this
-- unit, or you link this unit with other files to produce an executable,
-- this unit does not by itself cause the resulting executable to be
-- covered by the GNU General Public License. This exception does not
-- however invalidate any other reasons why the executable file might be
-- covered by the GNU Public License.
-------------------------------------------------------------------------------
--                              -*- Mode: Ada -*-
-- Filename        : add_finalization.ads
-- Description     : Base package of the add_finalization library.
-- Author          : Anders Gidenstam
-- Created On      : Fri Nov  7 00:15:21 2003
-- $Id: add_finalization.ads,v 1.2 2003/11/06 23:27:07 anders Exp $
-------------------------------------------------------------------------------

-- The structure of this library is inspired by Christoph Karl Walter
-- Grein's library with the same name and the intention is that it
-- should be possible to install my units (though completely
-- independent from Christoph's) together with his to get something
-- that provides a larger set of options for adding finalization.

package Add_Finalization is
  pragma Pure;
end Add_Finalization;

